=== debian/changelog ===
kscreenlocker (5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:41:53 -0700

kscreenlocker (5.5.4-0ubuntu1) xenial; urgency=medium

  [Rohan Garg]
  * Initial release

  [Scarlett Clark]
  * Add missing dependency for plasma-framework-dev
  * Few more missing dependencies.
  * Add some descriptions.
  * Add XtestSuite.
  * Add test files.
  * Clean up tests. Disable tests at buildtime.
  * Adjust install file.

  [ Maximiliano Curia ]
  * New upstream release (5.5.0)
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).

  [ Philip Muškovac ]
  * libkscreenlocker5 breaks/replaces plasma-workspace << 4:5.5~ 
  * kde-config-screenlocker breaks/replaces plasma-workspace << 4:5.5~ 

  [ Clive Johnston ]
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:22:54 +0100
