=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               kwayland-dev (>= 4:5.5.5~),
               libkf5crash-dev (>= 5.18.0~),
               libkf5declarative-dev (>= 5.18.0~),
               libkf5globalaccel-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5idletime-dev (>= 5.18.0~),
               libkf5kcmutils-dev (>= 5.18.0~),
               libkf5kdelibs4support-dev (>= 5.18.0~),
               libpam0g-dev,
               libqt5x11extras5-dev (>= 5.4.0~),
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb1-dev,
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools,
               plasma-framework-dev (>= 5.18.0~),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/kscreenlocker
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kscreenlocker.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/kscreenlocker.git;a=summary

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
Description: Development files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-config-screenlocker
Breaks: plasma-workspace (<< 4:5.5~)
Replaces: plasma-workspace (<< 4:5.5~)
Multi-Arch: same
Description: Secure lock screen architecture
 Library and components for secure lock screen architecture.

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:5.5~)
Replaces: plasma-workspace (<< 4:5.5~)
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker

Package: kscreenlocker-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
Description: Debug files for kscreenlocker.
 Library and components for secure lock screen architecture.
 .
 This package contains debug files for kscreenlocker.
