## kscreenlocker 5.10.5.1

=== debian/changelog ===
kscreenlocker (5.10.5.1-0ubuntu2) artful; urgency=medium

  * Add upstream_fix_test_regression_with_glibc_2.26.patch
    KDE Bug: 384651

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Sep 2017 19:45:54 +0100

kscreenlocker (5.10.5.1-0ubuntu1) artful; urgency=critical

  * New upstream emergency bugfix release (just for this package) (5.10.5.1).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Aug 2017 22:10:36 -0500

kscreenlocker (5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:18 +0100

kscreenlocker (5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:11 +0100

kscreenlocker (5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:15:46 +0100

kscreenlocker (5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:11:57 +0100

kscreenlocker (5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:08:39 +0100

kscreenlocker (5.10.0-0ubuntu3) artful; urgency=medium

  * debian/patches: Add upstream_fix_protocol_mismatch.patch;
    Without this patch, accidentally entering a blank password in the
    session lockscreen can leave users unable to graphically unlock
    their sessions, even with the correct password.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 04 Jun 2017 21:53:52 +0100

kscreenlocker (5.10.0-0ubuntu2) artful; urgency=medium

  * Temporarily disable failing tests, which pass and do not
    time out, except when run on ubuntu test infra.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 19:01:53 +0100

kscreenlocker (5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:48:58 +0100

kscreenlocker (5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:30:56 +0100
