## kscreenlocker 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,25 +1,65 @@
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.12.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
-set(QT_MIN_VERSION "5.4.0")
-set(KF5_MIN_VERSION "5.15.0")
+set(QT_MIN_VERSION "5.9.0")
+set(KF5_MIN_VERSION "5.42.0")
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets Quick QuickWidgets Test)
 find_package(ECM 1.8.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(CheckIncludeFiles)
 include(ECMMarkNonGuiExecutable)
 include(ECMPackageConfigHelpers)
+include(FeatureSummary)
+include(GenerateExportHeader)
+
+include(CheckIncludeFile)
+include(CheckSymbolExists)
+check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
+check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
+check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
+check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
+if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
+  set(CAN_DISABLE_PTRACE TRUE)
+endif ()
+add_feature_info("prctl/procctl tracing control"
+                 CAN_DISABLE_PTRACE
+                 "Required for disallowing ptrace on greeter and kcheckpass process")
+
+check_include_file("sys/signalfd.h" HAVE_SIGNALFD_H)
+if (NOT HAVE_SIGNALFD_H)
+    check_include_files("sys/types.h;sys/event.h" HAVE_EVENT_H)
+endif ()
+if (NOT (HAVE_SIGNALFD_H OR HAVE_EVENT_H))
+    message(FATAL_ERROR "kcheckpass either needs signalfd() or kevent()&sigtimedwait() to work")
+endif ()
+add_feature_info("sys/signalfd.h"
+                 HAVE_SIGNALFD_H
+                 "Use the signalfd() api for signalhandling")
+add_feature_info("sys/event.h"
+                 HAVE_EVENT_H
+                 "Use the kevent() and sigwaitinfo() api for signalhandling")
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
-                    Plasma KCMUtils Declarative IdleTime KDELibs4Support Crash GlobalAccel)
+                    Crash
+                    Declarative
+                    GlobalAccel
+                    I18n
+                    IdleTime
+                    KCMUtils
+                    Notifications
+                    Solid
+                    TextWidgets
+                    WindowSystem
+                    XmlGui
+                    )
 
 find_package(X11)
 set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
@@ -27,7 +67,7 @@
                         TYPE REQUIRED
                         PURPOSE "Required for building the X11 based workspace")
 
-find_package(XCB MODULE REQUIRED COMPONENTS XCB KEYSYMS)
+find_package(XCB MODULE REQUIRED COMPONENTS XCB KEYSYMS XTEST)
 set_package_properties(XCB PROPERTIES TYPE REQUIRED)
 add_feature_info("XInput" X11_Xinput_FOUND "Required for grabbing XInput2 devices in the screen locker")
 
@@ -44,6 +84,25 @@
                        TYPE REQUIRED
                        PURPOSE "Required for building screenlocker")
 
+find_package(loginctl)
+set_package_properties(loginctl PROPERTIES
+    URL "https://www.freedesktop.org/software/systemd/man/loginctl.html"
+    DESCRIPTION "Send control commands to the login manager"
+    TYPE RUNTIME
+    PURPOSE "Needed for emergency unlock in case that the greeter is broken. In case your distribution does not provide loginctl please contact plasma-devel@kde.org to discuss alternatives."
+    )
+
+option(PAM_REQUIRED "Require building with PAM" ON)
+
+find_package(Seccomp)
+set_package_properties(Seccomp PROPERTIES
+    TYPE
+        OPTIONAL
+    PURPOSE
+        "Used for putting the look'n'feel package in the greeter into a sandbox."
+)
+set(HAVE_SECCOMP ${Seccomp_FOUND})
+
 include(ConfigureChecks.cmake)
 
 configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
@@ -71,7 +130,7 @@
 
 set(screensaver_dbusXML dbus/org.freedesktop.ScreenSaver.xml)
 set(kscreensaver_dbusXML dbus/org.kde.screensaver.xml)
-set(powerdevilpolicyagent_xml ${KDE4_DBUS_INTERFACES_DIR}/kf5_org.kde.Solid.PowerManagement.PolicyAgent.xml)
+set(powerdevilpolicyagent_xml dbus/kf5_org.kde.Solid.PowerManagement.PolicyAgent.xml)
 
 set(ksld_SRCS
    abstractlocker.cpp
@@ -82,6 +141,8 @@
    waylandlocker.cpp
    logind.cpp
    waylandserver.cpp
+   powermanagement.cpp
+   powermanagement_inhibition.cpp
 )
 qt5_add_dbus_adaptor(ksld_SRCS ${screensaver_dbusXML} interface.h ScreenLocker::Interface)
 qt5_add_dbus_adaptor(ksld_SRCS ${kscreensaver_dbusXML} interface.h ScreenLocker::Interface kscreensaveradaptor KScreenSaverAdaptor)
@@ -104,11 +165,10 @@
    KF5::IdleTime
    KF5::GlobalAccel
    KF5::Notifications
-   KF5::XmlGui
-   KF5::Crash
+   KF5::CoreAddons
+   KF5::ConfigGui
    KF5::WindowSystem
    ${X11_LIBRARIES}
-   ${X11_Xcursor_LIB}
    XCB::XCB
    XCB::KEYSYMS
    KF5::WaylandServer
