=== debian/changelog ===
kscreenlocker (5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:53:11 +0100

kscreenlocker (5.12.3-0ubuntu1) bionic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Import libkscreenlocker5.postinst from Neon. This restarts the screenlocker
    on upgrades so that would avoid an ugly black screen telling you that the
    screen locker is broken.

  [ Rik Mills ]
  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:08 +0000

kscreenlocker (5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:43 +0000

kscreenlocker (5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:47 +0000

kscreenlocker (5.12.0-0ubuntu3) bionic; urgency=medium

  * Add i386 to last change

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 07 Feb 2018 18:22:58 +0000

kscreenlocker (5.12.0-0ubuntu2) bionic; urgency=medium

  * Don't try to build secomp test on arm*

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 07 Feb 2018 08:57:12 +0000

kscreenlocker (5.12.0-0ubuntu1) bionic; urgency=medium

  * Drop upstream patch now in 5.12 branch
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:13 +0000

kscreenlocker (5.11.95-0ubuntu1) NRELEASED; urgency=medium

  * New upstream release (5.11.95)
  * Add upstream patch to fix build on arm64;
    - 0001-Fix-building-autotest-on-platforms-where-syscalls-ar.patch

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 15 Jan 2018 16:10:30 +0000

kscreenlocker (5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:55 +0000

kscreenlocker (5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:59 -0600

kscreenlocker (5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:22 +0000
